Bug 126221 - Frozen rows/columns + validity error + mouse click ends in range selection mode
Summary: Frozen rows/columns + validity error + mouse click ends in range selection mode
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Freeze
  Show dependency treegraph
 
Reported: 2019-07-04 06:15 UTC by Aron Budea
Modified: 2021-07-05 03:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sample ODS (8.26 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-07-04 06:16 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2019-07-04 06:15:50 UTC
The attached spreadsheet includes:
- validity checks on the bordered cells,
- frozen rows + columns.

- Enter an invalid value in any of the bordered cells (eg. "a").
- Click somewhere else in the sheet. (don't just press Enter!)
- Dismiss the error dialog with clicking on OK or hitting Enter.
- Move mouse around.

=> You end up in range selection mode, as can be seen from the selection overlay.

Observed using LO 6.3 beta 2 & 3.3.0 / Windows 7.
Comment 1 Aron Budea 2019-07-04 06:16:21 UTC
Created attachment 152547 [details]
Sample ODS
Comment 2 Jacques Guilleron 2019-07-04 07:47:19 UTC
Hi Aron,

I reproduce with
LO 6.4.0.0.alpha0+ (x86) Build ID: 719f4a93e46a6b397356dbb605d2867639ca3942
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: fr-FR (fr_FR); UI-Language: en-US Calc: CL
and
LO 3.5.3.2 Version ID : 235ab8a-3802056-4a8fed3-2d66ea8-e241b80
So probably inherited from OOo

Jacques
Comment 3 QA Administrators 2021-07-04 04:37:02 UTC Comment hidden (obsolete)
Comment 4 Aron Budea 2021-07-04 16:18:10 UTC
Still in LO Version: 7.3.0.0.alpha0+ (5e37a1d89dfaa12690841213bce0cb6d05faf90a) / Ubuntu.
Comment 5 QA Administrators 2021-07-05 03:47:40 UTC
Dear Aron Budea,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug